diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 6d4eb31e..1316c7be 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -427,73 +427,73 @@ define('tools.querytool', [
               method: 'POST',
               contentType: 'application/json',
               data: JSON.stringify(self.data),
-              success: function(res) {
-                var result = [];
-
-                _.each(res.data.result, function(obj, key) {
-                  result.push({
-                    text: key,
-                    type: obj.object_type,
-                    render: self.hint_render,
-                  });
+            })
+            .done(function(res) {
+              var result = [];
+
+              _.each(res.data.result, function(obj, key) {
+                result.push({
+                  text: key,
+                  type: obj.object_type,
+                  render: self.hint_render,
                 });
+              });
 
-                // Sort function to sort the suggestion's alphabetically.
-                result.sort(function(a, b) {
-                  var textA = a.text.toLowerCase(),
-                    textB = b.text.toLowerCase();
-                  if (textA < textB) //sort string ascending
-                    return -1;
-                  if (textA > textB)
-                    return 1;
-                  return 0; //default return value (no sorting)
-                });
+              // Sort function to sort the suggestion's alphabetically.
+              result.sort(function(a, b) {
+                var textA = a.text.toLowerCase(),
+                  textB = b.text.toLowerCase();
+                if (textA < textB) //sort string ascending
+                  return -1;
+                if (textA > textB)
+                  return 1;
+                return 0; //default return value (no sorting)
+              });
 
-                /*
-                 * Below logic find the start and end point
-                 * to replace the selected auto complete suggestion.
-                 */
-                var token = self.editor.getTokenAt(cur),
-                  start, end, search;
-                if (token.end > cur.ch) {
-                  token.end = cur.ch;
-                  token.string = token.string.slice(0, cur.ch - token.start);
-                }
+              /*
+               * Below logic find the start and end point
+               * to replace the selected auto complete suggestion.
+               */
+              var token = self.editor.getTokenAt(cur),
+                start, end, search;
+              if (token.end > cur.ch) {
+                token.end = cur.ch;
+                token.string = token.string.slice(0, cur.ch - token.start);
+              }
 
-                if (token.string.match(/^[.`\w@]\w*$/)) {
-                  search = token.string;
-                  start = token.start;
-                  end = token.end;
-                } else {
-                  start = end = cur.ch;
-                  search = '';
-                }
+              if (token.string.match(/^[.`\w@]\w*$/)) {
+                search = token.string;
+                start = token.start;
+                end = token.end;
+              } else {
+                start = end = cur.ch;
+                search = '';
+              }
 
-                /*
-                 * Added 1 in the start position if search string
-                 * started with "." or "`" else auto complete of code mirror
-                 * will remove the "." when user select any suggestion.
-                 */
-                if (search.charAt(0) == '.' || search.charAt(0) == '``')
-                  start += 1;
-
-                cb({
-                  list: result,
-                  from: {
-                    line: self.current_line,
-                    ch: start,
-                  },
-                  to: {
-                    line: self.current_line,
-                    ch: end,
-                  },
-                });
-              },
-              error:function(e) {
-                return httpErrorHandler.handleLoginRequiredAndTransactionRequired(
-                  pgAdmin, self, e, null, [], false
-                );
-              },
+              /*
+               * Added 1 in the start position if search string
+               * started with "." or "`" else auto complete of code mirror
+               * will remove the "." when user select any suggestion.
+               */
+              if (search.charAt(0) == '.' || search.charAt(0) == '``')
+                start += 1;
+
+              cb({
+                list: result,
+                from: {
+                  line: self.current_line,
+                  ch: start,
+                },
+                to: {
+                  line: self.current_line,
+                  ch: end,
+                },
+              });
+            })
+            .fail(function(e) {
+              return httpErrorHandler.handleLoginRequiredAndTransactionRequired(
+                pgAdmin, self, e, null, [], false
+              );
             });
           }.bind(ctx),
         };
@@ -1101,30 +1101,30 @@ define('tools.querytool', [
       $.ajax({
         url: url,
         method: 'GET',
-        success: function(res) {
-          self.handler.has_more_rows = res.data.has_more_rows;
-          $('#btn-flash').prop('disabled', false);
-          self.handler.trigger('pgadmin-sqleditor:loading-icon:hide');
-          self.update_grid_data(res.data.result);
-          self.handler.fetching_rows = false;
-          if (typeof cb == 'function') {
-            cb();
-          }
-        },
-        error: function(e) {
-          $('#btn-flash').prop('disabled', false);
-          self.handler.trigger('pgadmin-sqleditor:loading-icon:hide');
-          self.handler.has_more_rows = false;
-          self.handler.fetching_rows = false;
-          if (typeof cb == 'function') {
-            cb();
-          }
+      })
+      .done(function(res) {
+        self.handler.has_more_rows = res.data.has_more_rows;
+        $('#btn-flash').prop('disabled', false);
+        self.handler.trigger('pgadmin-sqleditor:loading-icon:hide');
+        self.update_grid_data(res.data.result);
+        self.handler.fetching_rows = false;
+        if (typeof cb == 'function') {
+          cb();
+        }
+      })
+      .fail(function(e) {
+        $('#btn-flash').prop('disabled', false);
+        self.handler.trigger('pgadmin-sqleditor:loading-icon:hide');
+        self.handler.has_more_rows = false;
+        self.handler.fetching_rows = false;
+        if (typeof cb == 'function') {
+          cb();
+        }
 
-          let msg = httpErrorHandler.handleQueryToolAjaxError(
-            pgAdmin, self, e, null, [], false
-          );
-          self.update_msg_history(false, msg);
-        },
+        let msg = httpErrorHandler.handleQueryToolAjaxError(
+          pgAdmin, self, e, null, [], false
+        );
+        self.update_msg_history(false, msg);
       });
     },
 
@@ -1946,25 +1946,25 @@ define('tools.querytool', [
             $.ajax({
               url: script_type_url,
               type:'GET',
-              success: function(res) {
-                self.gridView.query_tool_obj.refresh();
-                if (res && res !== '') {
-                  self.gridView.query_tool_obj.setValue(res);
-                }
-                self.init_events();
-              },
-              error: function(jqx) {
-                let msg = '';
-                self.init_events();
-
-                msg = httpErrorHandler.handleQueryToolAjaxError(
-                  pgAdmin, self, jqx, null, [], false
-                );
+            })
+            .done(function(res) {
+              self.gridView.query_tool_obj.refresh();
+              if (res && res !== '') {
+                self.gridView.query_tool_obj.setValue(res);
+              }
+              self.init_events();
+            })
+            .fail(function(jqx) {
+              let msg = '';
+              self.init_events();
+
+              msg = httpErrorHandler.handleQueryToolAjaxError(
+                pgAdmin, self, jqx, null, [], false
+              );
 
-                pgBrowser.report_error(
-                  S(gettext('Error fetching SQL for script: %s.')).sprintf(msg).value()
-                );
-              },
+              pgBrowser.report_error(
+                S(gettext('Error fetching SQL for script: %s.')).sprintf(msg).value()
+              );
             });
           } else {
             self.init_events();
@@ -2086,53 +2086,53 @@ define('tools.querytool', [
         $.ajax({
           url: url,
           method: 'GET',
-          success: function(res) {
-            if (res.data.status) {
-              self.can_edit = res.data.can_edit;
-              self.can_filter = res.data.can_filter;
-              self.info_notifier_timeout = res.data.info_notifier_timeout;
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            self.can_edit = res.data.can_edit;
+            self.can_filter = res.data.can_filter;
+            self.info_notifier_timeout = res.data.info_notifier_timeout;
 
-              // Set the sql query to the SQL panel
-              self.gridView.query_tool_obj.setValue(res.data.sql);
-              self.query = res.data.sql;
+            // Set the sql query to the SQL panel
+            self.gridView.query_tool_obj.setValue(res.data.sql);
+            self.query = res.data.sql;
 
 
-              /* If filter is applied then remove class 'btn-default'
-               * and add 'btn-warning' to change the colour of the button.
-               */
-              if (self.can_filter && res.data.filter_applied) {
-                $('#btn-filter').removeClass('btn-default');
-                $('#btn-filter-dropdown').removeClass('btn-default');
-                $('#btn-filter').addClass('btn-primary');
-                $('#btn-filter-dropdown').addClass('btn-primary');
-              } else {
-                $('#btn-filter').removeClass('btn-primary');
-                $('#btn-filter-dropdown').removeClass('btn-primary');
-                $('#btn-filter').addClass('btn-default');
-                $('#btn-filter-dropdown').addClass('btn-default');
-              }
-              $('#btn-save').prop('disabled', true);
-              $('#btn-file-menu-dropdown').prop('disabled', true);
-              $('#btn-copy-row').prop('disabled', true);
-              $('#btn-paste-row').prop('disabled', true);
-
-              // Set the combo box value
-              $('.limit').val(res.data.limit);
-
-              // If status is True then poll the result.
-              self._poll();
+            /* If filter is applied then remove class 'btn-default'
+             * and add 'btn-warning' to change the colour of the button.
+             */
+            if (self.can_filter && res.data.filter_applied) {
+              $('#btn-filter').removeClass('btn-default');
+              $('#btn-filter-dropdown').removeClass('btn-default');
+              $('#btn-filter').addClass('btn-primary');
+              $('#btn-filter-dropdown').addClass('btn-primary');
             } else {
-              self.trigger('pgadmin-sqleditor:loading-icon:hide');
-              self.update_msg_history(false, res.data.result);
+              $('#btn-filter').removeClass('btn-primary');
+              $('#btn-filter-dropdown').removeClass('btn-primary');
+              $('#btn-filter').addClass('btn-default');
+              $('#btn-filter-dropdown').addClass('btn-default');
             }
-          },
-          error: function(e) {
+            $('#btn-save').prop('disabled', true);
+            $('#btn-file-menu-dropdown').prop('disabled', true);
+            $('#btn-copy-row').prop('disabled', true);
+            $('#btn-paste-row').prop('disabled', true);
+
+            // Set the combo box value
+            $('.limit').val(res.data.limit);
+
+            // If status is True then poll the result.
+            self._poll();
+          } else {
             self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_run_query', [], true
-            );
-            self.update_msg_history(false, msg);
-          },
+            self.update_msg_history(false, res.data.result);
+          }
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_run_query', [], true
+          );
+          self.update_msg_history(false, msg);
         });
       },
 
@@ -2621,132 +2621,132 @@ define('tools.querytool', [
             method: 'POST',
             contentType: 'application/json',
             data: JSON.stringify(req_data),
-            success: function(res) {
-              var grid = self.slickgrid,
-                dataView = grid.getData(),
-                data_length = dataView.getLength(),
-                data = [];
+          })
+          .done(function(res) {
+            var grid = self.slickgrid,
+              dataView = grid.getData(),
+              data_length = dataView.getLength(),
+              data = [];
 
-              if (res.data.status) {
-                if(is_added) {
-                  // Update the rows in a grid after addition
-                  dataView.beginUpdate();
-                  _.each(res.data.query_result, function(r) {
-                    if (!_.isNull(r.row_added)) {
-                      // Fetch temp_id returned by server after addition
-                      var row_id = Object.keys(r.row_added)[0];
-                      _.each(req_data.added_index, function(v, k) {
-                        if (v == row_id) {
-                          // Fetch item data through row index
-                          var item = grid.getDataItem(k);
-                          _.extend(item, r.row_added[row_id]);
-                        }
-                      });
-                    }
-                  });
-                  dataView.endUpdate();
-                }
-                // Remove flag is_row_copied from copied rows
-                _.each(data, function(row) {
-                  if (row.is_row_copied) {
-                    delete row.is_row_copied;
+            if (res.data.status) {
+              if(is_added) {
+                // Update the rows in a grid after addition
+                dataView.beginUpdate();
+                _.each(res.data.query_result, function(r) {
+                  if (!_.isNull(r.row_added)) {
+                    // Fetch temp_id returned by server after addition
+                    var row_id = Object.keys(r.row_added)[0];
+                    _.each(req_data.added_index, function(v, k) {
+                      if (v == row_id) {
+                        // Fetch item data through row index
+                        var item = grid.getDataItem(k);
+                        _.extend(item, r.row_added[row_id]);
+                      }
+                    });
                   }
                 });
-
-                // Remove 2d copied_rows array
-                if (grid.copied_rows) {
-                  delete grid.copied_rows;
+                dataView.endUpdate();
+              }
+              // Remove flag is_row_copied from copied rows
+              _.each(data, function(row) {
+                if (row.is_row_copied) {
+                  delete row.is_row_copied;
                 }
+              });
 
-                // Remove deleted rows from client as well
-                if (is_deleted) {
-                  var rows = grid.getSelectedRows();
-                  if (data_length == rows.length) {
-                    // This means all the rows are selected, clear all data
-                    data = [];
-                    dataView.setItems(data, self.client_primary_key);
-                  } else {
-                    dataView.beginUpdate();
-                    for (var i = 0; i < rows.length; i++) {
-                      var item = grid.getDataItem(rows[i]);
-                      data.push(item);
-                      dataView.deleteItem(item[self.client_primary_key]);
-                    }
-                    dataView.endUpdate();
+              // Remove 2d copied_rows array
+              if (grid.copied_rows) {
+                delete grid.copied_rows;
+              }
+
+              // Remove deleted rows from client as well
+              if (is_deleted) {
+                var rows = grid.getSelectedRows();
+                if (data_length == rows.length) {
+                  // This means all the rows are selected, clear all data
+                  data = [];
+                  dataView.setItems(data, self.client_primary_key);
+                } else {
+                  dataView.beginUpdate();
+                  for (var i = 0; i < rows.length; i++) {
+                    var item = grid.getDataItem(rows[i]);
+                    data.push(item);
+                    dataView.deleteItem(item[self.client_primary_key]);
                   }
-                  self.rows_to_delete.apply(self, [data]);
-                  grid.setSelectedRows([]);
+                  dataView.endUpdate();
                 }
-
+                self.rows_to_delete.apply(self, [data]);
                 grid.setSelectedRows([]);
+              }
 
-                // Reset data store
-                self.data_store = {
-                  'added': {},
-                  'updated': {},
-                  'deleted': {},
-                  'added_index': {},
-                  'updated_index': {},
-                };
+              grid.setSelectedRows([]);
 
-                // Reset old primary key data now
-                self.primary_keys_data = {};
+              // Reset data store
+              self.data_store = {
+                'added': {},
+                'updated': {},
+                'deleted': {},
+                'added_index': {},
+                'updated_index': {},
+              };
 
-                // Clear msgs after successful save
-                $('.sql-editor-message').html('');
+              // Reset old primary key data now
+              self.primary_keys_data = {};
 
-                alertify.success(gettext('Data saved successfully.'));
-              } else {
-                // Something went wrong while saving data on the db server
-                $('#btn-flash').prop('disabled', false);
-                $('.sql-editor-message').text(res.data.result);
-                var err_msg = S(gettext('%s.')).sprintf(res.data.result).value();
-                alertify.error(err_msg, 20);
-                grid.setSelectedRows([]);
-                // To highlight the row at fault
-                if (_.has(res.data, '_rowid') &&
-                  (!_.isUndefined(res.data._rowid) || !_.isNull(res.data._rowid))) {
-                  var _row_index = self._find_rowindex(res.data._rowid);
-                  if (_row_index in self.data_store.added_index) {
-                    // Remove new row index from temp_list if save operation
-                    // fails
-                    var index = self.handler.temp_new_rows.indexOf(res.data._rowid);
-                    if (index > -1) {
-                      self.handler.temp_new_rows.splice(index, 1);
-                    }
-                    self.data_store.added[self.data_store.added_index[_row_index]].err = true;
-                  } else if (_row_index in self.data_store.updated_index) {
-                    self.data_store.updated[self.data_store.updated_index[_row_index]].err = true;
+              // Clear msgs after successful save
+              $('.sql-editor-message').html('');
+
+              alertify.success(gettext('Data saved successfully.'));
+            } else {
+              // Something went wrong while saving data on the db server
+              $('#btn-flash').prop('disabled', false);
+              $('.sql-editor-message').text(res.data.result);
+              var err_msg = S(gettext('%s.')).sprintf(res.data.result).value();
+              alertify.error(err_msg, 20);
+              grid.setSelectedRows([]);
+              // To highlight the row at fault
+              if (_.has(res.data, '_rowid') &&
+                (!_.isUndefined(res.data._rowid) || !_.isNull(res.data._rowid))) {
+                var _row_index = self._find_rowindex(res.data._rowid);
+                if (_row_index in self.data_store.added_index) {
+                  // Remove new row index from temp_list if save operation
+                  // fails
+                  var index = self.handler.temp_new_rows.indexOf(res.data._rowid);
+                  if (index > -1) {
+                    self.handler.temp_new_rows.splice(index, 1);
                   }
+                  self.data_store.added[self.data_store.added_index[_row_index]].err = true;
+                } else if (_row_index in self.data_store.updated_index) {
+                  self.data_store.updated[self.data_store.updated_index[_row_index]].err = true;
                 }
-                grid.gotoCell(_row_index, 1);
               }
+              grid.gotoCell(_row_index, 1);
+            }
 
-              // Update the sql results in history tab
-              _.each(res.data.query_result, function(r) {
-                self.gridView.history_collection.add({
-                  'status': r.status,
-                  'start_time': self.query_start_time,
-                  'query': r.sql,
-                  'row_affected': r.rows_affected,
-                  'total_time': self.total_time,
-                  'message': r.result,
-                });
+            // Update the sql results in history tab
+            _.each(res.data.query_result, function(r) {
+              self.gridView.history_collection.add({
+                'status': r.status,
+                'start_time': self.query_start_time,
+                'query': r.sql,
+                'row_affected': r.rows_affected,
+                'total_time': self.total_time,
+                'message': r.result,
               });
-              self.trigger('pgadmin-sqleditor:loading-icon:hide');
+            });
+            self.trigger('pgadmin-sqleditor:loading-icon:hide');
 
-              grid.invalidate();
-              if (self.close_on_save) {
-                self.close();
-              }
-            },
-            error: function(e) {
-              let stateParams = [view, controller, save_as];
-              let msg = httpErrorHandler.handleQueryToolAjaxError(
-                pgAdmin, self, e, '_save', stateParams, true
-              );
-              self.update_msg_history(false, msg);
-            },
+            grid.invalidate();
+            if (self.close_on_save) {
+              self.close();
+            }
+          })
+          .fail(function(e) {
+            let stateParams = [view, controller, save_as];
+            let msg = httpErrorHandler.handleQueryToolAjaxError(
+              pgAdmin, self, e, '_save', stateParams, true
+            );
+            self.update_msg_history(false, msg);
           });
         }
       },
@@ -2872,32 +2872,32 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function(res) {
-            self.gridView.query_tool_obj.setValue(res);
-            self.gridView.current_file = e;
-            self.setTitle(self.gridView.current_file.split('\\').pop().split('/').pop(), true);
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            // hide cursor
-            $busy_icon_div.removeClass('show_progress');
+        })
+        .done(function(res) {
+          self.gridView.query_tool_obj.setValue(res);
+          self.gridView.current_file = e;
+          self.setTitle(self.gridView.current_file.split('\\').pop().split('/').pop(), true);
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          // hide cursor
+          $busy_icon_div.removeClass('show_progress');
 
-            // disable save button on file save
-            $('#btn-save').prop('disabled', true);
-            $('#btn-file-menu-save').css('display', 'none');
+          // disable save button on file save
+          $('#btn-save').prop('disabled', true);
+          $('#btn-file-menu-save').css('display', 'none');
 
-            // Update the flag as new content is just loaded.
-            self.is_query_changed = false;
-            setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let stateParams = [_e];
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_select_file_handler', stateParams, false
-            );
-            alertify.error(msg);
-            // hide cursor
-            $busy_icon_div.removeClass('show_progress');
-          },
+          // Update the flag as new content is just loaded.
+          self.is_query_changed = false;
+          setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let stateParams = [_e];
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_select_file_handler', stateParams, false
+          );
+          alertify.error(msg);
+          // hide cursor
+          $busy_icon_div.removeClass('show_progress');
         });
       },
 
@@ -2920,32 +2920,32 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function(res) {
-            if (res.data.status) {
-              alertify.success(gettext('File saved successfully.'));
-              self.gridView.current_file = e;
-              self.setTitle(self.gridView.current_file.replace(/^.*[\\\/]/g, ''), true);
-              // disable save button on file save
-              $('#btn-save').prop('disabled', true);
-              $('#btn-file-menu-save').css('display', 'none');
-
-              // Update the flag as query is already saved.
-              self.is_query_changed = false;
-              setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
-            }
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            if (self.close_on_save) {
-              self.close();
-            }
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let stateParams = [_e];
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_save_file_handler', stateParams, false
-            );
-            alertify.error(msg);
-          },
+        })
+        .done(function(res) {
+          if (res.data.status) {
+            alertify.success(gettext('File saved successfully.'));
+            self.gridView.current_file = e;
+            self.setTitle(self.gridView.current_file.replace(/^.*[\\\/]/g, ''), true);
+            // disable save button on file save
+            $('#btn-save').prop('disabled', true);
+            $('#btn-file-menu-save').css('display', 'none');
+
+            // Update the flag as query is already saved.
+            self.is_query_changed = false;
+            setTimeout(() => { self.gridView.query_tool_obj.focus(); }, 200);
+          }
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          if (self.close_on_save) {
+            self.close();
+          }
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let stateParams = [_e];
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_save_file_handler', stateParams, false
+          );
+          alertify.error(msg);
         });
       },
 
@@ -3046,26 +3046,26 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function(res) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            setTimeout(
-              function() {
-                if (res.data.status) {
-                  // Refresh the sql grid
-                  queryToolActions.executeQuery(self);
-                } else {
-                  alertify.alert(gettext('Filter By Selection Error'), res.data.result);
-                }
+        })
+        .done(function(res) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          setTimeout(
+            function() {
+              if (res.data.status) {
+                // Refresh the sql grid
+                queryToolActions.executeQuery(self);
+              } else {
+                alertify.alert(gettext('Filter By Selection Error'), res.data.result);
               }
-            );
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_include_filter', [], true
-            );
-            alertify.alert(gettext('Filter By Selection Error'), msg);
-          },
+            }
+          );
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_include_filter', [], true
+          );
+          alertify.alert(gettext('Filter By Selection Error'), msg);
         });
       },
 
@@ -3105,26 +3105,26 @@ define('tools.querytool', [
           method: 'POST',
           contentType: 'application/json',
           data: JSON.stringify(data),
-          success: function(res) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            setTimeout(
-              function() {
-                if (res.data.status) {
-                  // Refresh the sql grid
-                  queryToolActions.executeQuery(self);
-                } else {
-                  alertify.alert(gettext('Filter Exclude Selection Error'), res.data.result);
-                }
-              }, 10
-            );
-          },
-          error: function(e) {
-            self.trigger('pgadmin-sqleditor:loading-icon:hide');
-            let msg = httpErrorHandler.handleQueryToolAjaxError(
-              pgAdmin, self, e, '_exclude_filter', [], true
-            );
-            alertify.alert(gettext('Filter Exclude Selection Error'), msg);
-          },
+        })
+        .done(function(res) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          setTimeout(
+            function() {
+              if (res.data.status) {
+                // Refresh the sql grid
+                queryToolActions.executeQuery(self);
+              } else {
+                alertify.alert(gettext('Filter Exclude Selection Error'), res.data.result);
+              }
+            }, 10
+          );
+        })
+        .fail(function(e) {
+          self.trigger('pgadmin-sqleditor:loading-icon:hide');
+          let msg = httpErrorHandler.handleQueryToolAjaxError(
+            pgAdmin, self, e, '_exclude_filter', [], true
+          );
+          alertify.alert(gettext('Filter Exclude Selection Error'), msg);
         });
       },
 
